﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="http://cdn-na.infragistics.com/jquery/20132/latest/css/themes/infragistics/infragistics.theme.css"
        rel="stylesheet" type="text/css" />
    <link href="http://cdn-na.infragistics.com/jquery/20132/latest/css/structure/infragistics.css"
        rel="stylesheet" type="text/css" />

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js" type="text/javascript"></script>

    <script src="http://cdn-na.infragistics.com/jquery/20132/latest/js/infragistics.core.js"
        type="text/javascript"></script>
    <script src="http://cdn-na.infragistics.com/jquery/20132/latest/js/infragistics.lob.js"
        type="text/javascript"></script>
    <script src="http://cdn-na.infragistics.com/jquery/20132/latest/js/infragistics.dv.js"
        type="text/javascript"></script>
    <script>
        $(function () {
            $('#grid2').igGrid({
                dataSource: 'http://localhost:56990/WebServiceRemoteOperationsExample/WebServices/WebService.asmx/FetchData',
                autoGenerateColumns: false,
                autoGenerateLayouts: false,
                mergeUnboundColumns: false,
                responseDataKey: 'd.Data',
                generateCompactJSONResponse: false,
                enableUTCDates: true,
                columns: [{
                    key: 'ID',
                    dataType: 'number',
                    headerText: 'ID',
                    width: '35%'
                }, {
                    key: 'Name',
                    dataType: 'string',
                    headerText: 'Name',
                    width: '15%'
                }, {
                    key: 'IsActive',
                    dataType: 'bool',
                    headerText: 'Active',
                    width: '35%'
                }],
                features: [{
                    filterExprUrlKey: 'filter',
                    filterLogicUrlKey: 'filterLogic',
                    name: 'Filtering',
                    type: 'remote'
                }, {
                    name: 'GroupBy',
                    resultResponseKey: 'GroupBy',
                    columnSettings: [{
                        columnIndex: -1,
                        columnKey: 'ID',
                        summaries: [{
                            summaryFunction: 'Sum'
                        }]
                    }],
                    groupByUrlKey: 'sort',
                    groupByUrlKeyAscValue: 'asc',
                    groupByUrlKeyDescValue: 'desc',
                    type: 'remote'
                }, {
                    recordCountKey: 'd.TotalRecordsCount',
                    pageIndexUrlKey: 'page',
                    pageSizeUrlKey: 'pageSize',
                    name: 'Paging',
                    type: 'local',
                    pageSize: 5
                }, {
                    sortUrlKey: 'sort',
                    sortUrlKeyAscValue: 'asc',
                    sortUrlKeyDescValue: 'desc',
                    name: 'Sorting',
                    type: 'remote'
                }],
                width: '70%',
                localSchemaTransform: false
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <div id="grid2"></div>
        </div>
    </form>
</body>
</html>
